import greenfoot.*;
public class Obstacle extends Actor
{
    private boolean start = true;
    private boolean bird = false;
    private boolean topWing = true;
    private int birdLoc = 300;
    private int counter = 0;
    public void act()
    {
        if(Player.alive||Greenfoot.isKeyDown("a")&&Greenfoot.isKeyDown("ctrl"))
        {
            counter++;
            if(start)
            {
                start = false;
                setLocation(599, 300);
                if(Greenfoot.getRandomNumber(7)==0)
                {
                    if(Greenfoot.getRandomNumber(3)==0)
                    {
                        setLocation(599,270);
                        birdLoc = 270;
                    }
                    else if(Greenfoot.getRandomNumber(2)==0)
                    {
                        setLocation(599, 240);
                        birdLoc = 240;
                    }
                    else
                    {
                        setLocation(599, 287);
                        birdLoc = 287;
                    }
                    setImage("images/bird.png");
                    bird=true;
                }
                else if(Greenfoot.getRandomNumber(5)==0)
                {
                    setImage("images/cactus5.png");
                }
                else if(Greenfoot.getRandomNumber(4)==0)
                {
                    setImage("images/cactus4.png");
                    setLocation(599, 294);
                }
                else if(Greenfoot.getRandomNumber(2)==0)
                {
                    setImage("images/cactus2.png");
                }
                else if(Greenfoot.getRandomNumber(1)==0)
                {
                    setImage("images/cactus3.png");
                }
                else
                {
                    setImage("images/cactus1.png");
                }
            }
            move(-6-MyWorld.difficulty);
            if(bird)
            {
                if(counter>=3)
                {
                    counter=0;
                    if(topWing)
                    {
                        topWing=false;
                        setImage("images/birdBottom.png");
                        setLocation(getX(), birdLoc+7);
                    }
                    else
                    {
                        topWing=true;
                        setImage("images/birdTop.png");
                        setLocation(getX(), birdLoc);
                    }
                }
            }
            if(isAtEdge())
            {
                getWorld().removeObject(this);
            }
        }
        else
        {
            getWorld().addObject(new Reset(), 0,0);
        }
    }
}