import greenfoot.*;
public class MyWorld extends World
{
    private int counter = 0;
    private int cloudCounter = 0;
    private int difCounter = 0;
    private int dirtCounter = 0;
    private int worldSpeed = 45;
    private int rand;
    static public int difficulty = 0;
    private boolean startTime = true;
    public void act()
    {
        counter++;
        cloudCounter++;
        difCounter++;
        dirtCounter++;
        if(startTime)
        {
            difficulty=0;
            if(counter>=100)
            {
                counter=0;
                dirtCounter=0;
                rand=Greenfoot.getRandomNumber(15);
                startTime = false;
                addObject(new Obstacle(), 580, 300);
            }
        }
        else if(counter>=(40+rand)-(int)(1.7*(double)difficulty))
        {
            counter=0;
            rand=Greenfoot.getRandomNumber(15);
            addObject(new Obstacle(), 580, 300);
        }
        if(dirtCounter>=10-(int)(1.2*(double)difficulty))
        {
            dirtCounter=0;
            addObject(new Dirt(580, 318), 580, 325);
        }
        if(difCounter>=500)
        {
            difficulty++;
            if(difficulty>7)
            {
                difficulty=7;
            }
            difCounter=0;
        }
        if(cloudCounter>=300)
        {
            cloudCounter=0;
            addObject(new Cloud(), 599, 100);
        }
    }
    public MyWorld()
    {
        super(600, 400, 1);
        addObject(new Player(), 120, 300);
        addObject(new Score(), 550, 30);
        addObject(new Cloud(), 350, 100);
        addObject(new Frame(), 0, 200);
        addObject(new Frame(), 600, 200);
        addObject(new Dirt(550, 318), 560, 318);
        addObject(new Dirt(500, 318), 560, 318);
        addObject(new Dirt(450, 318), 560, 318);
        addObject(new Dirt(400, 318), 560, 318);
        addObject(new Dirt(350, 318), 560, 318);
        addObject(new Dirt(300, 318), 560, 318);
        addObject(new Dirt(250, 318), 560, 318);
        addObject(new Dirt(200, 318), 560, 318);
        addObject(new Dirt(150, 318), 560, 318);
        addObject(new Dirt(100, 318), 560, 318);
        addObject(new Dirt(50, 318), 560, 318);
        Greenfoot.setSpeed(worldSpeed);
        setPaintOrder(Reset.class, Frame.class, Obstacle.class, MyWorld.class, Player.class, Dirt.class, Score.class, Cloud.class);
        //Score.consolePrint("0","");
    }
}